LO(4)

NAME
lo - software loopback network interface

SYNOPSIS
pseudo-device loop

DESCRIPTION
The loop interface is a software loopback mechanism which may be used for performance analysis, software testing, and/or local communication.

A loop interface can be created at runtime using the ifconfig loN create command or by setting up a hostname.if(5) configuration file for netstart(8). The lo0 interface will always exist and cannot be destroyed using ifconfig(8).

As with other network interfaces, the loopback interface must have network addresses assigned for each address family with which it is to be used. These addresses may be set or changed with the SIOCSIFADDR ioctl(2).

DIAGNOSTICS

lo0: can't handle afX. The interface was handed a message with addresses formatted in an unsuitable address family; the packet was dropped.

SEE ALSO
inet(4), inet6(4), netintro(4), hostname.if(5), ifconfig(8), netstart(8)

HISTORY
The lo device appeared in 4.2BSD.